//<?php

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !\defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	exit;
}

/**
 * @mixin \IPS\Theme\class_core_front_global
 */
class stickyelements_hook_stickynavigation extends _HOOK_CLASS_
{

/* !Hook Data - DO NOT REMOVE */
public static function hookData() {
 return array_merge_recursive( array (
  'globalTemplate' => 
  array (
    0 => 
    array (
      'selector' => '#ipsLayout_header',
      'type' => 'replace',
      'content' => '{{if \in_array( \IPS\Theme::i()->id, explode( \',\', \IPS\Settings::i()->vxse_navigationthemes ))}}
			<div id=\'ipsLayout_header\' class=\'ipsClearfix\'>
				{template="updateWarning" app="core" group="global" params=""}
				<header>
					<div class=\'ipsLayout_container\'>
						{template="logo" app="core" group="global" params=""}
						{{if !\in_array(\'ipsLayout_minimal\', \IPS\Output::i()->bodyClasses )}}{template="userBar" app="core" group="global" params=""}{{endif}}
						{template="mobileNavigationIcon" app="core" group="global" params=""}
					</div>
				</header>
              <div data-ipsSticky data-ipsSticky-stickTo="top">
				{template="navBar" app="core" group="global" params=""}
              </div>
				{{if !\in_array(\'ipsLayout_minimal\', \IPS\Output::i()->bodyClasses )}}{template="mobileNavBar" app="core" group="global" params=""}{{endif}}
			</div>
{{else}}
			<div id=\'ipsLayout_header\' class=\'ipsClearfix\'>
				{template="updateWarning" app="core" group="global" params=""}
				<header>
					<div class=\'ipsLayout_container\'>
						{template="logo" app="core" group="global" params=""}
						{{if !\in_array(\'ipsLayout_minimal\', \IPS\Output::i()->bodyClasses )}}
							{template="userBar" app="core" group="global" params=""}
							{template="mobileNavigationIcon" app="core" group="global" params=""}
						{{endif}}
					</div>
				</header>
				{template="navBar" app="core" group="global" params=""}
				{{if !\in_array(\'ipsLayout_minimal\', \IPS\Output::i()->bodyClasses )}}{template="mobileNavBar" app="core" group="global" params=""}{{endif}}
			</div>
  {{if \IPS\Settings::i()->vxse_spacer == \'1\'}}
    <style>
      #ipsStickySpacer {
      display: none;
      }
    </style>
  {{endif}}
{{endif}}	',
    ),
  ),
), parent::hookData() );
}
/* End Hook Data */


}
