//<?php

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !\defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	exit;
}

/**
 * @mixin \IPS\Theme\class_core_front_global
 */
class stickyelements_hook_stickysidebar extends _HOOK_CLASS_
{

/* !Hook Data - DO NOT REMOVE */
public static function hookData() {
 return array_merge_recursive( array (
  'sidebar' => 
  array (
    0 => 
    array (
      'selector' => '#ipsLayout_sidebar',
      'type' => 'replace',
      'content' => '{{if \in_array( \IPS\Theme::i()->id, explode( \',\', \IPS\Settings::i()->vxse_sidebarthemes ))}}
    {{if \IPS\Settings::i()->vxse_back == \'1\'}}
        <style>
        .ipsSticky.ipsSticky_top {
            background-color: transparent;
        }
        </style>
    {{endif}}
<style>
#ipsLayout_sidebar {
    z-index: 0!important; 
    position: relative;
}
</style>
	<div id=\'ipsLayout_sidebar\' class=\'ipsLayout_sidebar{$position} {{if !( isset( \IPS\Output::i()->sidebar["contextual"] ) && trim( \IPS\Output::i()->sidebar[\'contextual\'] ) !== \'\' ) && ( !isset( \IPS\Output::i()->sidebar[\'widgets\'][\'sidebar\'] ) || !\count( \IPS\Output::i()->sidebar[\'widgets\'][\'sidebar\'] ) ) && \IPS\Dispatcher::i()->application->canManageWidgets() && !$adsForceSidebar}}ipsLayout_sidebarUnused{{endif}}\' data-controller=\'core.front.widgets.sidebar\'>

    <div data-ipsSticky data-ipsSticky-relativeTo=\'#ipsLayout_sidebar\'>  
      
		{{if $announcements = \IPS\core\Announcements\Announcement::loadAllByLocation( \'sidebar\' ) AND ( ( isset( \IPS\Output::i()->sidebar[\'contextual\'] ) && trim( \IPS\Output::i()->sidebar[\'contextual\'] ) !== \'\' ) OR ( isset( \IPS\Output::i()->sidebar[\'widgets\'][\'sidebar\'] ) && \count( \IPS\Output::i()->sidebar[\'widgets\'][\'sidebar\'] ) ) )}}
			{template="announcementSidebar" group="global" app="core" params="$announcements"}
		{{endif}}
		{{if isset( \IPS\Output::i()->sidebar[\'contextual\'] ) && trim( \IPS\Output::i()->sidebar[\'contextual\'] ) !== \'\'}}
			<aside id="elContextualTools" class=\'ipsClearfix\' {{if isset( \IPS\Output::i()->sidebar[\'sticky\'] )}}data-ipsSticky{{endif}}>
				{expression="\IPS\Output::i()->sidebar[\'contextual\']" raw="true"}
			</aside>
			<hr class=\'ipsHr ipsSpacer_both\'>
		{{endif}}
		{{if $adsForceSidebar OR ( \IPS\core\Advertisement::loadByLocation( \'ad_sidebar\' ) AND ( ( isset( \IPS\Output::i()->sidebar[\'contextual\'] ) && trim( \IPS\Output::i()->sidebar[\'contextual\'] ) !== \'\' ) OR ( isset( \IPS\Output::i()->sidebar[\'widgets\'][\'sidebar\'] ) && \count( \IPS\Output::i()->sidebar[\'widgets\'][\'sidebar\'] ) ) ) )}}
			<div data-role=\'sidebarAd\'>
				{advertisement="ad_sidebar"}
			</div>
			<br><br>
		{{endif}}
		{template="widgetContainer" group="global" app="core" params="\'sidebar\', \'vertical\'"}
	</div>
      
	</div>
{{else}}
	<div id=\'ipsLayout_sidebar\' class=\'ipsLayout_sidebar{$position} {{if !( isset( \IPS\Output::i()->sidebar["contextual"] ) && trim( \IPS\Output::i()->sidebar[\'contextual\'] ) !== \'\' ) && ( !isset( \IPS\Output::i()->sidebar[\'widgets\'][\'sidebar\'] ) || !\count( \IPS\Output::i()->sidebar[\'widgets\'][\'sidebar\'] ) ) && \IPS\Dispatcher::i()->application->canManageWidgets() && !$adsForceSidebar}}ipsLayout_sidebarUnused{{endif}}\' data-controller=\'core.front.widgets.sidebar\'>
		{{if $announcements = \IPS\core\Announcements\Announcement::loadAllByLocation( \'sidebar\' ) AND ( ( isset( \IPS\Output::i()->sidebar[\'contextual\'] ) && trim( \IPS\Output::i()->sidebar[\'contextual\'] ) !== \'\' ) OR ( isset( \IPS\Output::i()->sidebar[\'widgets\'][\'sidebar\'] ) && \count( \IPS\Output::i()->sidebar[\'widgets\'][\'sidebar\'] ) ) )}}
			{template="announcementSidebar" group="global" app="core" params="$announcements"}
		{{endif}}
		{{if isset( \IPS\Output::i()->sidebar[\'contextual\'] ) && trim( \IPS\Output::i()->sidebar[\'contextual\'] ) !== \'\'}}
			<aside id="elContextualTools" class=\'ipsClearfix\' {{if isset( \IPS\Output::i()->sidebar[\'sticky\'] )}}data-ipsSticky{{endif}}>
				{expression="\IPS\Output::i()->sidebar[\'contextual\']" raw="true"}
			</aside>
			<hr class=\'ipsHr ipsSpacer_both\'>
		{{endif}}
		{{if $adsForceSidebar OR ( \IPS\core\Advertisement::loadByLocation( \'ad_sidebar\' ) AND ( ( isset( \IPS\Output::i()->sidebar[\'contextual\'] ) && trim( \IPS\Output::i()->sidebar[\'contextual\'] ) !== \'\' ) OR ( isset( \IPS\Output::i()->sidebar[\'widgets\'][\'sidebar\'] ) && \count( \IPS\Output::i()->sidebar[\'widgets\'][\'sidebar\'] ) ) ) )}}
			<div data-role=\'sidebarAd\'>
				{advertisement="ad_sidebar"}
			</div>
			<br><br>
		{{endif}}
		{template="widgetContainer" group="global" app="core" params="\'sidebar\', \'vertical\'"}
	</div>
{{endif}}',
    ),
  ),
), parent::hookData() );
}
/* End Hook Data */


}
